/*********************************************************

XML Transform.js : copyright 2001, Essam Ahmed

Przykład z książki: 
Essam Ahmed, Programowanie w języku JScript.NET (2001)

Program transformuje dokument XML do formatu HTML 
w oparciu o zwartość pliku XSL.

Sposób użycia: 
XmlTransform <plik.xml> <plik.xsl> <wynik.htm>


plik.xml - nazwa przekształcanego dokumentu XML
plik.xsl - nazwa szablonu transformacji XSLT
wynik.htm - nazwa tworzonego dokumentu HTML

XmlTransform tworzy plik HTML i otwiera go 
w przeglądarce HTML.

*********************************************************/

import System;
import System.Xml.Xsl;
import System.Diagnostics;

var args:String[]=Environment.GetCommandLineArgs();
var xslt:XslTransform;

	if (args.Length != 4) {
		Console.WriteLine("xmlTransform, (c) 2001 Essam Ahmed\nTransformuje dokument XML w oparciu o XSLT\n");
		Console.WriteLine("Sposób użycia: xmlTransform [źródłoXML] [źródłoXSL] [wyjście]\n\n");
		Console.WriteLine("[źródłoXML]\t- źródłowy plik XML");
		Console.WriteLine("[źródłoXSL]\t- źródłowy plik XSL");
		Console.WriteLine("[wyjście]\t- plik wynikowy\n");
		Console.WriteLine("Program wykorzystuje dwa pliki wejściowe do utworzenia pliku wyjściowego, po czym otwiera plik wyjściowy w domyślnej przeglądarce.\n");
		Environment.Exit(1);
	}
	
	try {
		xslt=new XslTransform();
		xslt.Load(args[2]);
		xslt.Transform(args[1],args[3]);
	}
	catch (e:Exception)
	{
		Console.WriteLine("Wyjątek: {0}",e.Message);
		Console.WriteLine("Dane stosu:\n{0}",e.StackTrace(0));
		Environment.Exit(1);
		 
	}
	var p:Process=new Process();
	var psi:ProcessStartInfo=new ProcessStartInfo(args[3]);
	p.StartInfo=psi;
	p.Start();

